# Micropython version of the blink program

import machine
import time

print("\nMicroPython example code")
print("Blink the onboard LED and LED's connected to GP15 & GP16\n")

led = machine.Pin('LED', machine.Pin.OUT) #configure LED Pin as an output pin and create and led object for Pin class
# Configure GP15
led15 = machine.Pin('GP15', machine.Pin.OUT) #configure LED Pin as an output pin and create and led object for Pin class
# Configure GP16
led16 = machine.Pin('GP16', machine.Pin.OUT) #configure LED Pin as an output pin and create and led object for Pin class

while True:
  print("On")
  led.value(True)  #turn on the LED
  led15.value(False)  #turn on the LED
  led16.value(True)  #turn on the LED
  time.sleep(1)   #wait for one second
  print("Off")
  led.value(False)  #turn off the LED
  led15.value(True)  #turn off the LED
  led16.value(False)  #turn off the LED
  time.sleep(1)   #wait for one second

